Index: doc/latex/arx_8h__incl.eps
===================================================================
--- doc/latex/arx_8h__incl.eps (revision 145)
+++ doc/latex/arx_8h__incl.eps (revision 181)
@@ -1,4 +1,4 @@
 %!PS-Adobe-3.0 EPSF-3.0
-%%Creator: Graphviz version 2.20.2 (Fri Aug  1 12:10:09 UTC 2008)
+%%Creator: Graphviz version 2.20.2 (Sat Aug 16 05:41:32 UTC 2008)
 %%For: (smidl) Vaclav Smidl,,,
 %%Title: G
@@ -180,49 +180,49 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 408 240
+%%PageBoundingBox: 36 36 342 298
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 372 204 boxprim clip newpath
+36 36 306 262 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 0 174 moveto
-0 195 lineto
-167 195 lineto
-167 174 lineto
+newpath 0 232 moveto
+0 253 lineto
+167 253 lineto
+167 232 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 0 174 moveto
-0 195 lineto
-167 195 lineto
-167 174 lineto
+newpath 0 232 moveto
+0 253 lineto
+167 253 lineto
+167 232 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-7.5 181.5 moveto 151 (work/git/mixpp/bdm/estim/arx.h) alignedtext
+7.5 239.5 moveto 151 (work/git/mixpp/bdm/estim/arx.h) alignedtext
 grestore
 % Node2
 gsave
 0.000 0.000 1.000 nodecolor
-newpath 96 0 moveto
-96 21 lineto
-171 21 lineto
-171 0 lineto
+newpath 103 0 moveto
+103 21 lineto
+178 21 lineto
+178 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.749 nodecolor
-newpath 96 0 moveto
-96 21 lineto
-171 21 lineto
-171 0 lineto
+newpath 103 0 moveto
+103 21 lineto
+178 21 lineto
+178 0 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-103.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
+110.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
 grestore
 % Node1->Node2
@@ -231,26 +231,26 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 66 174 moveto
-55 165 42 153 35 138 curveto
-32 128 33 125 35 116 curveto
-43 87 47 79 66 58 curveto
-77 45 92 34 105 26 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 106.96 28.92 moveto
-114 21 lineto
-103.56 22.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 106.96 28.92 moveto
-114 21 lineto
-103.56 22.8 lineto
+newpath 66 232 moveto
+55 223 41 211 35 196 curveto
+32 186 34 183 35 174 curveto
+46 119 49 102 83 58 curveto
+92 46 104 35 115 27 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 117.1 29.8 moveto
+123 21 lineto
+112.9 24.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 117.1 29.8 moveto
+123 21 lineto
+112.9 24.2 lineto
 closepath stroke
 grestore
 % Node3
 gsave
-[ /Rect [ 44 117 122 137 ]
+[ /Rect [ 44 175 122 195 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libFN_8h-source.html) >>
@@ -258,20 +258,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 44 116 moveto
-44 137 lineto
-123 137 lineto
-123 116 lineto
+newpath 44 174 moveto
+44 195 lineto
+123 195 lineto
+123 174 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 44 116 moveto
-44 137 lineto
-123 137 lineto
-123 116 lineto
+newpath 44 174 moveto
+44 195 lineto
+123 195 lineto
+123 174 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-51.5 123.5 moveto 63 (../stat/libFN.h) alignedtext
+51.5 181.5 moveto 63 (../stat/libFN.h) alignedtext
 grestore
 % Node1->Node3
@@ -280,23 +280,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 83 174 moveto
-83 166 83 156 83 147 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 86.5 147 moveto
-83 137 lineto
-79.5 147 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 86.5 147 moveto
-83 137 lineto
-79.5 147 lineto
+newpath 83 232 moveto
+83 224 83 214 83 205 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 86.5 205 moveto
+83 195 lineto
+79.5 205 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 86.5 205 moveto
+83 195 lineto
+79.5 205 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 140 117 216 137 ]
+[ /Rect [ 140 175 216 195 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libEF_8h.html) >>
@@ -304,20 +304,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 140 116 moveto
-140 137 lineto
-216 137 lineto
-216 116 lineto
+newpath 140 174 moveto
+140 195 lineto
+216 195 lineto
+216 174 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 140 116 moveto
-140 137 lineto
-216 137 lineto
-216 116 lineto
+newpath 140 174 moveto
+140 195 lineto
+216 195 lineto
+216 174 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-148 123.5 moveto 60 (../stat/libEF.h) alignedtext
+148 181.5 moveto 60 (../stat/libEF.h) alignedtext
 grestore
 % Node1->Node5
@@ -326,18 +326,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 101 174 moveto
-116 165 137 152 153 142 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 154.96 144.92 moveto
-162 137 lineto
-151.56 138.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 154.96 144.92 moveto
-162 137 lineto
-151.56 138.8 lineto
+newpath 101 232 moveto
+116 223 137 210 153 200 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 154.96 202.92 moveto
+162 195 lineto
+151.56 196.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 154.96 202.92 moveto
+162 195 lineto
+151.56 196.8 lineto
 closepath stroke
 grestore
@@ -347,24 +347,24 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 78 116 moveto
-72 102 64 76 73 58 curveto
-79 44 91 34 103 26 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 104.96 28.92 moveto
-112 21 lineto
-101.56 22.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 104.96 28.92 moveto
-112 21 lineto
-101.56 22.8 lineto
+newpath 79 174 moveto
+74 160 67 135 73 116 curveto
+83 82 107 49 123 29 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 126.05 30.83 moveto
+130 21 lineto
+120.78 26.22 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 126.05 30.83 moveto
+130 21 lineto
+120.78 26.22 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 82 59 132 79 ]
+[ /Rect [ 82 117 132 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libBM_8h.html) >>
@@ -372,20 +372,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 82 58 moveto
-82 79 lineto
-133 79 lineto
-133 58 lineto
+newpath 82 116 moveto
+82 137 lineto
+133 137 lineto
+133 116 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 82 58 moveto
-82 79 lineto
-133 79 lineto
-133 58 lineto
+newpath 82 116 moveto
+82 137 lineto
+133 137 lineto
+133 116 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-89.5 65.5 moveto 35 (libBM.h) alignedtext
+89.5 123.5 moveto 35 (libBM.h) alignedtext
 grestore
 % Node3->Node4
@@ -394,18 +394,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 88 116 moveto
-91 108 95 97 99 88 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 102.14 89.56 moveto
-103 79 lineto
-95.74 86.72 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 102.14 89.56 moveto
-103 79 lineto
-95.74 86.72 lineto
+newpath 88 174 moveto
+91 166 95 155 99 146 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 102.14 147.56 moveto
+103 137 lineto
+95.74 144.72 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 102.14 147.56 moveto
+103 137 lineto
+95.74 144.72 lineto
 closepath stroke
 grestore
@@ -415,18 +415,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 112 58 moveto
-116 50 120 39 125 30 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 128.14 31.56 moveto
-129 21 lineto
-121.74 28.72 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 128.14 31.56 moveto
-129 21 lineto
-121.74 28.72 lineto
+newpath 110 116 moveto
+115 97 127 56 134 31 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 137.48 31.58 moveto
+137 21 lineto
+130.77 29.57 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 137.48 31.58 moveto
+137 21 lineto
+130.77 29.57 lineto
 closepath stroke
 grestore
@@ -436,18 +436,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 174 116 moveto
-166 97 150 55 141 30 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 144.26 28.72 moveto
-137 21 lineto
-137.86 31.56 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 144.26 28.72 moveto
-137 21 lineto
-137.86 31.56 lineto
+newpath 176 174 moveto
+170 145 153 68 144 31 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 147.39 30.12 moveto
+142 21 lineto
+140.53 31.49 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 147.39 30.12 moveto
+142 21 lineto
+140.53 31.49 lineto
 closepath stroke
 grestore
@@ -457,23 +457,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 164 116 moveto
-153 107 139 95 127 85 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 129.1 82.2 moveto
-119 79 lineto
-124.9 87.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 129.1 82.2 moveto
-119 79 lineto
-124.9 87.8 lineto
+newpath 164 174 moveto
+153 165 139 153 127 143 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 129.1 140.2 moveto
+119 137 lineto
+124.9 145.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 129.1 140.2 moveto
+119 137 lineto
+124.9 145.8 lineto
 closepath stroke
 grestore
 % Node6
 gsave
-[ /Rect [ 188 59 274 79 ]
+[ /Rect [ 188 117 274 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libDC_8h.html) >>
@@ -481,20 +481,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 188 58 moveto
-188 79 lineto
-275 79 lineto
-275 58 lineto
+newpath 188 116 moveto
+188 137 lineto
+275 137 lineto
+275 116 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 188 58 moveto
-188 79 lineto
-275 79 lineto
-275 58 lineto
+newpath 188 116 moveto
+188 137 lineto
+275 137 lineto
+275 116 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-195.5 65.5 moveto 71 (../math/libDC.h) alignedtext
+195.5 123.5 moveto 71 (../math/libDC.h) alignedtext
 grestore
 % Node5->Node6
@@ -503,23 +503,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 188 116 moveto
-196 107 206 96 215 87 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 218.05 88.83 moveto
-222 79 lineto
-212.78 84.22 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 218.05 88.83 moveto
-222 79 lineto
-212.78 84.22 lineto
+newpath 188 174 moveto
+196 165 206 154 215 145 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 218.05 146.83 moveto
+222 137 lineto
+212.78 142.22 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 218.05 146.83 moveto
+222 137 lineto
+212.78 142.22 lineto
 closepath stroke
 grestore
 % Node7
 gsave
-[ /Rect [ 292 59 364 79 ]
+[ /Rect [ 226 59 298 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
@@ -527,20 +527,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 292 58 moveto
-292 79 lineto
-364 79 lineto
-364 58 lineto
+newpath 226 58 moveto
+226 79 lineto
+298 79 lineto
+298 58 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 292 58 moveto
-292 79 lineto
-364 79 lineto
-364 58 lineto
+newpath 226 58 moveto
+226 79 lineto
+298 79 lineto
+298 58 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-300 65.5 moveto 56 (../itpp_ext.h) alignedtext
+234 65.5 moveto 56 (../itpp_ext.h) alignedtext
 grestore
 % Node5->Node7
@@ -549,18 +549,19 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 207 116 moveto
-231 106 266 93 292 83 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 294.02 85.96 moveto
-302 79 lineto
-291.42 79.46 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 294.02 85.96 moveto
-302 79 lineto
-291.42 79.46 lineto
+newpath 216 178 moveto
+240 172 268 160 283 138 curveto
+293 122 285 102 276 88 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 278.46 85.38 moveto
+270 79 lineto
+272.63 89.26 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 278.46 85.38 moveto
+270 79 lineto
+272.63 89.26 lineto
 closepath stroke
 grestore
@@ -570,18 +571,39 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 212 58 moveto
-197 49 175 36 159 26 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 160.44 22.8 moveto
-150 21 lineto
-157.04 28.92 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 160.44 22.8 moveto
-150 21 lineto
-157.04 28.92 lineto
+newpath 222 116 moveto
+206 96 173 54 154 29 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 156.8 26.9 moveto
+148 21 lineto
+151.2 31.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 156.8 26.9 moveto
+148 21 lineto
+151.2 31.1 lineto
+closepath stroke
+grestore
+% Node6->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 237 116 moveto
+241 108 247 97 252 88 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 255.2 89.44 moveto
+257 79 lineto
+249.08 86.04 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 255.2 89.44 moveto
+257 79 lineto
+249.08 86.04 lineto
 closepath stroke
 grestore
@@ -591,18 +613,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 292 58 moveto
-259 48 212 34 177 24 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 177.58 20.52 moveto
-167 21 lineto
-175.57 27.23 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 177.58 20.52 moveto
-167 21 lineto
-175.57 27.23 lineto
+newpath 239 58 moveto
+219 48 192 35 170 25 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 171.56 21.86 moveto
+161 21 lineto
+168.72 28.26 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 171.56 21.86 moveto
+161 21 lineto
+168.72 28.26 lineto
 closepath stroke
 grestore
@@ -614,5 +636,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 408 240
+%%BoundingBox: 36 36 342 298
 end
 restore
